[PC-BSD Commits] r1287 - in pbibuild/modules/tremulous: . kmenu-dir overlay-dir

svn at pcbsd.org svn at pcbsd.org
Thu Jan 31 06:26:39 PST 2008


Author: gonzalo
Date: 2008-01-31 06:26:38 -0800 (Thu, 31 Jan 2008)
New Revision: 1287

Modified:
   pbibuild/modules/tremulous/kmenu-dir/tremded
   pbibuild/modules/tremulous/overlay-dir/PBI.FirstRun.sh
   pbibuild/modules/tremulous/overlay-dir/PBI.SetupScript.sh
   pbibuild/modules/tremulous/pbi.conf
Log:
Tremulous server error fixed and more features added

Modified: pbibuild/modules/tremulous/kmenu-dir/tremded
===================================================================
--- pbibuild/modules/tremulous/kmenu-dir/tremded	2008-01-31 02:42:15 UTC (rev 1286)
+++ pbibuild/modules/tremulous/kmenu-dir/tremded	2008-01-31 14:26:38 UTC (rev 1287)
@@ -4,7 +4,7 @@
 ExeNoDesktop: 0
 ExeNoMenu: 0
 ExeRunRoot: 0
-ExeRunShell: 0
+ExeRunShell: 1
 ExeNotify: 1
 ExeLink: 0
 ExeWebLink: 0

Modified: pbibuild/modules/tremulous/overlay-dir/PBI.FirstRun.sh
===================================================================
--- pbibuild/modules/tremulous/overlay-dir/PBI.FirstRun.sh	2008-01-31 02:42:15 UTC (rev 1286)
+++ pbibuild/modules/tremulous/overlay-dir/PBI.FirstRun.sh	2008-01-31 14:26:38 UTC (rev 1287)
@@ -46,3 +46,12 @@
       return 2
     fi
 fi 
+#3D APPLICATION: 3D ACC IS NEEDED
+
+glxinfo | grep "direct rendering:" | grep " Yes" 2>/dev/null
+if [ "$?" != "0" ]
+then
+   kdialog --msgbox "Your system does not appear to have hardware 3D
+support enabled. This application requires 3D acceleration to function
+properly."
+fi
\ No newline at end of file

Modified: pbibuild/modules/tremulous/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/tremulous/overlay-dir/PBI.SetupScript.sh	2008-01-31 02:42:15 UTC (rev 1286)
+++ pbibuild/modules/tremulous/overlay-dir/PBI.SetupScript.sh	2008-01-31 14:26:38 UTC (rev 1287)
@@ -18,4 +18,4 @@
 ln -s /Programs/${PROGDIR}/.sbin/tremulous /usr/local/bin/tremulous
 ln -s /Programs/${PROGDIR}/.sbin/tremulous-smp /usr/local/bin/tremulous-smp
 ln -s /Programs/${PROGDIR}/share/tremulous /usr/local/share/tremulous
-echo "LAUNCHCLOSE: /usr/local/bin/tremulous"
+echo "LAUNCHCLOSE: /usr/local/bin/tremulous-smp"

Modified: pbibuild/modules/tremulous/pbi.conf
===================================================================
--- pbibuild/modules/tremulous/pbi.conf	2008-01-31 02:42:15 UTC (rev 1286)
+++ pbibuild/modules/tremulous/pbi.conf	2008-01-31 14:26:38 UTC (rev 1287)
@@ -32,6 +32,6 @@
 
 # Build Key - Change this to anything else to trigger a rebuild 
 #           - The rebuild will take place even if port is still the same ver
-BUILDKEY="01"
+BUILDKEY="02"
 
 export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY



More information about the Commits mailing list